<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Generic Trace Generator (GTG): Types used</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Generic Trace Generator (GTG)
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">Types used</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:gabda13d5bcd0cbdb094d655181a857e25"><td class="memItemLeft" align="right" valign="top">typedef double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a></td></tr>
<tr class="memdesc:gabda13d5bcd0cbdb094d655181a857e25"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use the double precision type for time and value.  <a href="#gabda13d5bcd0cbdb094d655181a857e25">More...</a><br /></td></tr>
<tr class="separator:gabda13d5bcd0cbdb094d655181a857e25"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ga1f1b68fb37d7331f03a48ef0993a0788"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> { <br />
&#160;&#160;<a class="el" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788a6144206e9d331f185b18166cff7783b8">TRACE_SUCCESS</a>, 
<a class="el" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788a3f7405d47b6ed59a17246e9844090615">TRACE_ERR_OPEN</a>, 
<a class="el" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788a73950ece0ad8b1bee0e4ebe6fbf9060b">TRACE_ERR_CLOSE</a>, 
<a class="el" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788ab9fd0214ae892b4284375940d3040b1c">TRACE_ERR_WRITE</a>, 
<br />
&#160;&#160;<a class="el" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788aaa3aa4a72ea96378a200bb869f7f8abb">TRACE_ERR_NOT_IMPL</a>
<br />
 }</td></tr>
<tr class="memdesc:ga1f1b68fb37d7331f03a48ef0993a0788"><td class="mdescLeft">&#160;</td><td class="mdescRight">Define various return values.  <a href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">More...</a><br /></td></tr>
<tr class="separator:ga1f1b68fb37d7331f03a48ef0993a0788"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Typedef Documentation</h2>
<a class="anchor" id="gabda13d5bcd0cbdb094d655181a857e25"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef double <a class="el" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use the double precision type for time and value. </p>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="ga1f1b68fb37d7331f03a48ef0993a0788"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Define various return values. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="ga1f1b68fb37d7331f03a48ef0993a0788a6144206e9d331f185b18166cff7783b8"></a>TRACE_SUCCESS&#160;</td><td class="fielddoc">
<p>Success of the call. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ga1f1b68fb37d7331f03a48ef0993a0788a3f7405d47b6ed59a17246e9844090615"></a>TRACE_ERR_OPEN&#160;</td><td class="fielddoc">
<p>Failed to open files to write. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ga1f1b68fb37d7331f03a48ef0993a0788a73950ece0ad8b1bee0e4ebe6fbf9060b"></a>TRACE_ERR_CLOSE&#160;</td><td class="fielddoc">
<p>Failed to close file. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ga1f1b68fb37d7331f03a48ef0993a0788ab9fd0214ae892b4284375940d3040b1c"></a>TRACE_ERR_WRITE&#160;</td><td class="fielddoc">
<p>Failed to write trace. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ga1f1b68fb37d7331f03a48ef0993a0788aaa3aa4a72ea96378a200bb869f7f8abb"></a>TRACE_ERR_NOT_IMPL&#160;</td><td class="fielddoc">
<p>Function not impleneted. </p>
</td></tr>
</table>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Jun 2 2014 10:59:53 for Generic Trace Generator (GTG) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
